Subject: redo silently fails when creating target directly

From: goredo <[email-masked]>
Date: Thu, 30 Sep 2021 08:46:04 +0000 (UTC)

I just discovered that redo silently fails when a .do script creates the target on its own without using $3.
In that case the call succeeds and no target file is left after the run.

I would expect it to fail loudly.

I also suspect errors in dependency handling, when building targets in adjacent sub trees, i.e., redo ../foo/bar. After doing this and calling another target ../foo/baz, that depends on it, ../foo/bar gets rebuilt. I'm still working on an MWE, though.

–Michael